const state = {
    user: {
        default: null,
        value: null
    }
}

const getters = {
    /**
     * 
     * @param {*} state 
     */
    user(state) {
        return state.user.value
    }
}

const mutations = {
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setUser(state, payload) {
        state.user.value = payload
    }
}

const actions = {
    /**
     * 
     * @param {*} param0 
     * @param {*} payload 
     */
    setUser({ commit }, payload) {
        commit('setUser', payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}